close all;                                      % 모든 생성된 창을 닫음 
clear all;                                      % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                            % 명령(command) 창을 비움

w0=pi/2;                                        % 필터 중심 주파수 설정
fc=0.025;                                       % 차단 주파수 설정
N=61; Nh=(N-1)/2;                               % 필터 임펄스 응답 길이 설정 
n=0:N-1;                                        % 시간축 설정
h=2*fc*sinc(2*fc*(n-Nh)).*cos(w0*(n-Nh));       % 필터 임펄스 응답 생성
M=512; w=[0:M-1]*pi/M;                          % 주파수축 설정
Hf=h*exp(-j*n'*w);                              % h[n]의 DTFT H(Omega) 계산 

subplot(3,1,1);                                 % 3행 1열 분할 그림 창의 1번 창
plot(w/(2*pi),abs(Hf));                         % 대역 통과 필터의 진폭 응답을 그림
title('\bf{대역 통과  필터의 진폭 응답}');        % 그림 제목
xlabel('\bf{F}'); grid on;                      % x축 라벨 및 그리드 표시 
subplot(3,1,2);                                 % 3행 1열 분할 그림 창의 2번 창
plot(w/(2*pi),angle(Hf));                       % 대역 통과 필터의 위상 응답을 그림
%title('\bf{대역 통과 필터의 위상 응답}');        % 그림 제목
xlabel('\bf{F}'); grid on;                      % x축 라벨 및 그리드 표시 
subplot(3,1,3);                                 % 3행 1열 분할 그림 창의 3번 창
stem(n,h);                                      % 대역 통과 필터의 임펄스 응답을 그림
title('\bf{대역 통과 필터의 임펄스 응답}');       % 그림 제목
xlabel('\bf{n}'); grid on;                      % x축 라벨 및 그리드 표시 